Bug 125832 - SMP Kernel crash if USB mouse and keyboard
SMP Kernel crash if USB mouse and keyboard
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-11 18:58 EDT by Karl Auerbach
Modified: 2015-01-04 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:14:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Auerbach 2004-06-11 18:58:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040608 Firefox/0.8.0+

Description of problem:
Kernel crashes early during startup if USB mouse and keyboard are present.

Crash only occurs with SMP kernel, not uniprocessor version of kernel.

Crash does not occur if PS2 mouse/keyboard are used.  However, the PS2
keyboard and mouse are unusable.

I don't know how to catch the crash trace that occurs during startup.

For fun removed the "rhgb quiet" from the kernel parameters in
grub.conf - but that made no difference.

After system has fully booted with PS2 mouse/keyboard, and even though
those are dead, I can then plug in USB keyboard/mouse and they are
recognized and work.

It makes no difference whether the USB keyboard/mouse are directly
attached or are via a USB hub.

This is on a SuperMicro 6013P-i, Dual Xeon, 512M memory.  Motherboard
uses Intel 7501

The BIOS and the grub bootloader happily talk to the USB keyboard.  It
is only after the particular kernel is selected via grub and that
kernel begins to boot do things go wrong.

I've also let the boot go from power-up to crash without touching the

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attach USB keyboard/mouse
2. Boot SMP kernel
3. Watch it die early in the boot process

Additional info:
Comment 1 Karl Auerbach 2004-06-11 19:56:23 EDT
It may not be USB related at all - I have had the same failure now
with the PS2 mouse/keyboard.

And now it sometimes gets a traceback that begins:
Badness in do_unblank_screen at drivers/char/vt.c:2857

The problem seems to have a degree of non-determinancy - now the
machine never completes a boot with the SMP kernel no matter what
mouse/keyboard are attached, but it comes up 100% of the time using
older the uniprocessor kernel and older SMP kernels.
Comment 2 Karl Auerbach 2004-06-11 21:08:05 EDT
OK, more traces.  Here's one from when there was no mouse/keyboard
plugged into either the PS2 or USB ports.  (Sorry about any typos -
I'm rekeying from the screen)

Call Trace:

Code: Bad EIP value
<0>Kernel panic: Attempted to kill init!
Comment 3 Karl Auerbach 2004-06-11 22:40:01 EDT
More digging:

The problem is directly tied to whether the BIOS has "Legacy USB
Support" enabled or not.  If enabled, the kernel crashes on the way
up. If it's disabled then the kernel comes up happy.

The reason that I have USB Legacy USB enabled is so that I can use a
USB keyboard to talk to grub as the machine boots.  I also use it to
occassionally bootstrap a new system from USB thumb drives or a USB cdrom.

(Without Legacy USB enabled, I can use the keyboard to talk to the
bios, but grub doesn't seem to have the warewithall to find the
keyboard unless Legacy USB is enabled.)

My guess is that there is a handoff problem during initialization when
the BIOS has set up "Legacy USB".
Comment 4 Alan Cox 2004-06-19 07:21:47 EDT
There are two sets of problems we know about Several very high end
boxes have broken USB legacy support (which is a problem I'm looking
at dealing with). Basically when we do our fancy mouse/keyboard probe
the BIOS magic that does USB legacy on some boards is buggy and
explodes in various ways

The second problem is with EHCI bios handovers and is a real kernel
bug Dell found which is now fixed upstream so should show up very soon.
Comment 5 Daniel Levine 2005-01-11 10:24:52 EST
I have a California Digital 9416 NAS box for which I experienced the 
same problem until disabling the Legacy USB as suggested by Karl.

My BIOS is: Phoenix Technologies, LTD V1.03 05/15/2003
Comment 6 Dave Jones 2005-04-16 00:14:39 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.